# -*- encoding: utf-8 -*-
# stub: sidekiq 5.2.7 ruby lib

Gem::Specification.new do |s|
  s.name = "sidekiq".freeze
  s.version = "5.2.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mike Perham".freeze]
  s.date = "2019-04-22"
  s.description = "Simple, efficient background processing for Ruby.".freeze
  s.email = ["mperham@gmail.com".freeze]
  s.executables = ["sidekiq".freeze, "sidekiqctl".freeze]
  s.files = [".circleci/config.yml".freeze, ".github/contributing.md".freeze, ".github/issue_template.md".freeze, ".gitignore".freeze, ".travis.yml".freeze, "3.0-Upgrade.md".freeze, "4.0-Upgrade.md".freeze, "5.0-Upgrade.md".freeze, "COMM-LICENSE".freeze, "Changes.md".freeze, "Ent-Changes.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "Pro-2.0-Upgrade.md".freeze, "Pro-3.0-Upgrade.md".freeze, "Pro-4.0-Upgrade.md".freeze, "Pro-Changes.md".freeze, "README.md".freeze, "Rakefile".freeze, "bin/sidekiq".freeze, "bin/sidekiqctl".freeze, "bin/sidekiqload".freeze, "code_of_conduct.md".freeze, "lib/generators/sidekiq/templates/worker.rb.erb".freeze, "lib/generators/sidekiq/templates/worker_spec.rb.erb".freeze, "lib/generators/sidekiq/templates/worker_test.rb.erb".freeze, "lib/generators/sidekiq/worker_generator.rb".freeze, "lib/sidekiq.rb".freeze, "lib/sidekiq/api.rb".freeze, "lib/sidekiq/cli.rb".freeze, "lib/sidekiq/client.rb".freeze, "lib/sidekiq/core_ext.rb".freeze, "lib/sidekiq/ctl.rb".freeze, "lib/sidekiq/delay.rb".freeze, "lib/sidekiq/exception_handler.rb".freeze, "lib/sidekiq/extensions/action_mailer.rb".freeze, "lib/sidekiq/extensions/active_record.rb".freeze, "lib/sidekiq/extensions/class_methods.rb".freeze, "lib/sidekiq/extensions/generic_proxy.rb".freeze, "lib/sidekiq/fetch.rb".freeze, "lib/sidekiq/job_logger.rb".freeze, "lib/sidekiq/job_retry.rb".freeze, "lib/sidekiq/launcher.rb".freeze, "lib/sidekiq/logging.rb".freeze, "lib/sidekiq/manager.rb".freeze, "lib/sidekiq/middleware/chain.rb".freeze, "lib/sidekiq/middleware/i18n.rb".freeze, "lib/sidekiq/middleware/server/active_record.rb".freeze, "lib/sidekiq/paginator.rb".freeze, "lib/sidekiq/processor.rb".freeze, "lib/sidekiq/rails.rb".freeze, "lib/sidekiq/redis_connection.rb".freeze, "lib/sidekiq/scheduled.rb".freeze, "lib/sidekiq/testing.rb".freeze, "lib/sidekiq/testing/inline.rb".freeze, "lib/sidekiq/util.rb".freeze, "lib/sidekiq/version.rb".freeze, "lib/sidekiq/web.rb".freeze, "lib/sidekiq/web/action.rb".freeze, "lib/sidekiq/web/application.rb".freeze, "lib/sidekiq/web/helpers.rb".freeze, "lib/sidekiq/web/router.rb".freeze, "lib/sidekiq/worker.rb".freeze, "sidekiq.gemspec".freeze, "web/assets/images/favicon.ico".freeze, "web/assets/images/logo.png".freeze, "web/assets/images/status.png".freeze, "web/assets/javascripts/application.js".freeze, "web/assets/javascripts/dashboard.js".freeze, "web/assets/stylesheets/application-rtl.css".freeze, "web/assets/stylesheets/application.css".freeze, "web/assets/stylesheets/bootstrap-rtl.min.css".freeze, "web/assets/stylesheets/bootstrap.css".freeze, "web/locales/ar.yml".freeze, "web/locales/cs.yml".freeze, "web/locales/da.yml".freeze, "web/locales/de.yml".freeze, "web/locales/el.yml".freeze, "web/locales/en.yml".freeze, "web/locales/es.yml".freeze, "web/locales/fa.yml".freeze, "web/locales/fr.yml".freeze, "web/locales/he.yml".freeze, "web/locales/hi.yml".freeze, "web/locales/it.yml".freeze, "web/locales/ja.yml".freeze, "web/locales/ko.yml".freeze, "web/locales/nb.yml".freeze, "web/locales/nl.yml".freeze, "web/locales/pl.yml".freeze, "web/locales/pt-br.yml".freeze, "web/locales/pt.yml".freeze, "web/locales/ru.yml".freeze, "web/locales/sv.yml".freeze, "web/locales/ta.yml".freeze, "web/locales/uk.yml".freeze, "web/locales/ur.yml".freeze, "web/locales/zh-cn.yml".freeze, "web/locales/zh-tw.yml".freeze, "web/views/_footer.erb".freeze, "web/views/_job_info.erb".freeze, "web/views/_nav.erb".freeze, "web/views/_paging.erb".freeze, "web/views/_poll_link.erb".freeze, "web/views/_status.erb".freeze, "web/views/_summary.erb".freeze, "web/views/busy.erb".freeze, "web/views/dashboard.erb".freeze, "web/views/dead.erb".freeze, "web/views/layout.erb".freeze, "web/views/morgue.erb".freeze, "web/views/queue.erb".freeze, "web/views/queues.erb".freeze, "web/views/retries.erb".freeze, "web/views/retry.erb".freeze, "web/views/scheduled.erb".freeze, "web/views/scheduled_job_info.erb".freeze]
  s.homepage = "http://sidekiq.org".freeze
  s.licenses = ["LGPL-3.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.2".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Simple, efficient background processing for Ruby".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<redis>.freeze, [">= 3.3.5", "< 5"])
    s.add_runtime_dependency(%q<connection_pool>.freeze, ["~> 2.2", ">= 2.2.2"])
    s.add_runtime_dependency(%q<rack>.freeze, [">= 1.5.0"])
    s.add_runtime_dependency(%q<rack-protection>.freeze, [">= 1.5.0"])
  else
    s.add_dependency(%q<redis>.freeze, [">= 3.3.5", "< 5"])
    s.add_dependency(%q<connection_pool>.freeze, ["~> 2.2", ">= 2.2.2"])
    s.add_dependency(%q<rack>.freeze, [">= 1.5.0"])
    s.add_dependency(%q<rack-protection>.freeze, [">= 1.5.0"])
  end
end

